code[class*="language-"],pre[class*="language-"] {
	color:#f8f8f2;
	text-shadow:0 1px rgba(0,0,0,.3);
	font-family:Consolas,Monaco,'Andale Mono','Ubuntu Mono',monospace;
	text-align:left;
	white-space:pre;
	word-spacing:normal;
	word-break:normal;
	word-wrap:normal;
	line-height:2;
	-moz-tab-size:4;
	-o-tab-size:4;
	tab-size:4;
	-webkit-hyphens:none;
	-moz-hyphens:none;
	-ms-hyphens:none;
	hyphens:none;
	font-size:13px
}
pre[class*="language-"] {
	overflow:auto;
}
:not(pre)>code[class*="language-"],pre[class*="language-"] {
	background:#696969
}
:not(pre)>code[class*="language-"] {
	padding:.1em;
	border-radius:.3em;
	white-space:normal
}
.token.comment,.token.block-comment,.token.prolog,.token.doctype,.token.cdata {
	color:#999;
}
.token.punctuation {
	color:#ccc;
}
.token.tag,.token.attr-name,.token.namespace,.token.deleted {
	color:#e2777a;
}
.token.function-name {
	color:#6196cc;
}
.token.boolean,.token.number,.token.function {
	color:#f08d49;
}
.token.property,.token.class-name,.token.constant,.token.symbol {
	color:#f8c555;
}
.token.selector,.token.important,.token.atrule,.token.keyword,.token.builtin {
	color:#cc99cd;
}
.token.string,.token.char,.token.attr-value,.token.regex,.token.variable {
	color:#7ec699;
}
.token.operator,.token.entity,.token.url {
	color:#67cdcc;
}
.token.important,.token.bold {
	font-weight:bold;
}
.token.italic {
	font-style:italic;
}
.token.entity {
	cursor:help;
}
.token.inserted {
	color:green;
}
pre.line-numbers {
	padding-left:3.3em;
	counter-reset:linenumber
}
pre.line-numbers>code {
	white-space:inherit font-size:15px
}
.line-numbers .line-numbers-rows {
	position:absolute;
	pointer-events:none;
	top: 0px;
	font-size:100%;
	left:0em;
	width:3em;
	letter-spacing:-1px;
	-webkit-user-select:none;
	-moz-user-select:none;
	-ms-user-select:none;
	user-select:none;
}
.line-numbers-rows>span {
	pointer-events:none;
	display:block;
	counter-increment:linenumber
}
.line-numbers-rows>span:before {
	content:counter(linenumber);
	color:#D3D3D3;
	display:block;
	padding-right:.9em;
	text-align:right;
	background:#808080
}
div.code-toolbar {
	font-size:100%;
	border-radius:4px;
	position:relative;
	box-shadow:0 0 20px 5px rgba(0,0,0,.4);
	padding-top:30px;
	background-color: #3f3f3f;
	margin:20px 0 20px 0;
}
.code-toolbar:before {
	content:" ";
	position:absolute;
	-webkit-border-radius:50%;
	border-radius:50%;
	background:#fc625d;
	width:11px;
	height:11px;
	left:10px;
	top:10px;
	-webkit-box-shadow:20px 0 #fdbc40,40px 0 #35cd4b;
	box-shadow:20px 0 #fdbc40,40px 0 #35cd4b;
	z-index:2
}
div.code-toolbar>.toolbar {
	padding-right:.4em;
	position:absolute;
	top:.09em;
	right:.2em;
	width:100%;
	text-align:center;
}
div.code-toolbar:hover>.toolbar {
	opacity:1
}
div.code-toolbar>.toolbar .toolbar-item {
	padding:0 1px 1px 3px;
	display:inline-block
}
div.code-toolbar>.toolbar button {
	cursor:pointer;
	transition:all .3s;
	position:absolute;
	background-color:transparent;
	right:6px;
	top:4px;
	font-size:12px;
	line-height:12px;
	padding:3px 5px;
	border:1px solid;
	border-radius:6px;
	opacity:0;
	color:#FFF;
}
div.code-toolbar:hover button {
	opacity:1;
}
div.code-toolbar>.toolbar:hover {
	text-decoration:none!important
}
div.code-toolbar>.div.code-toolbar>.toolbar button,div.code-toolbar>.toolbar span {
	font-family:'Ubuntu',sans-serif;
	font-weight:bold;
	font-size:.9em;
	opacity:0;
	color:#FFF;
}
div.code-toolbar:hover .toolbar span {
	opacity:1;
}
#post-content .code-block-fullscreen {
	padding-top:32px;
	position:fixed;
	width:80vw;
	height:80vh;
	min-height:80vh;
	top:0;
	left:0;
	right:0;
	bottom:0;
	margin:auto;
	z-index:9999999;
	box-shadow:0 0 20px 0 rgba(255,255,255,.4);
	animation:elastic 1s;
	overflow:hidden;
	background:#21252a;
}
.code-block-fullscreen code {
	--widthA:100%;
	--widthB:calc(var(--widthA) - 30px);
	height:var(--widthB);
	min-height:99%;
	overflow-y:scroll;
	height:100%;
}
.code-block-fullscreen-html-scroll {
	overflow:hidden;
}
.shelter {
	width:6.5px;
	height:6.5px;
	z-index:100;
	background: #696969;
	position:absolute;
	bottom:0;
	right:0;
}
.max-img::-webkit-scrollbar-track-piece {
	background:#eee
}
.max-img::-webkit-scrollbar {
	width:8px;
	height:6px
}
.max-img::-webkit-scrollbar-thumb {
	border-radius:6px;
	background-color:#777
}
.max-img::-webkit-scrollbar-thumb:hover {
	background-color:#bbb
}
pre::-webkit-scrollbar-track-piece {
	}pre::-webkit-scrollbar {
	width:8px;
	height:6px
}
pre::-webkit-scrollbar-thumb {
	border-radius:4px;
	background-color:#cbcbcb
}
pre::-webkit-scrollbar-thumb:hover {
	background-color:#bbb
}
code::-webkit-scrollbar-track-piece {
	}code::-webkit-scrollbar {
	width:6px;
	height:6px
}
code::-webkit-scrollbar-thumb {
	border-radius:6px;
	background-color:#777
}
code::-webkit-scrollbar-thumb:hover {
	background-color:#bbb
}
html::-webkit-scrollbar-track-piece {
	background:#eee
}
html::-webkit-scrollbar {
	width:8px;
	height:6px
}
html::-webkit-scrollbar-thumb {
	border-radius:4px;
	background-color:#cbcbcb
}
html::-webkit-scrollbar-thumb:hover {
	background-color:#bbb
}

.token.treeview-part .entry-line{position:relative;text-indent:-99em;display:inline-block;vertical-align:top;width:1.2em}.token.treeview-part .entry-line:before,.token.treeview-part .line-h:after{content:"";position:absolute;top:0;left:50%;width:50%;height:100%}.token.treeview-part .line-h:before,.token.treeview-part .line-v:before{border-left:1px solid #ccc}.token.treeview-part .line-v-last:before{height:50%;border-left:1px solid #ccc;border-bottom:1px solid #ccc}.token.treeview-part .line-h:after{height:50%;border-bottom:1px solid #ccc}.token.treeview-part .entry-name{position:relative;display:inline-block;vertical-align:top}.token.treeview-part .entry-name.dotfile{opacity:.5}@font-face{font-family:PrismTreeview;src:url(data:application/font-woff;base64,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) format("woff")}.token.treeview-part .entry-name:before{content:"\ea01";font-family:PrismTreeview;font-size:inherit;font-style:normal;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale;width:2.5ex;display:inline-block}.token.treeview-part .entry-name.dir:before{content:"\ea02"}.token.treeview-part .entry-name.ext-bmp:before,.token.treeview-part .entry-name.ext-eps:before,.token.treeview-part .entry-name.ext-gif:before,.token.treeview-part .entry-name.ext-jpe:before,.token.treeview-part .entry-name.ext-jpeg:before,.token.treeview-part .entry-name.ext-jpg:before,.token.treeview-part .entry-name.ext-png:before,.token.treeview-part .entry-name.ext-svg:before,.token.treeview-part .entry-name.ext-tiff:before{content:"\ea03"}.token.treeview-part .entry-name.ext-cfg:before,.token.treeview-part .entry-name.ext-conf:before,.token.treeview-part .entry-name.ext-config:before,.token.treeview-part .entry-name.ext-csv:before,.token.treeview-part .entry-name.ext-ini:before,.token.treeview-part .entry-name.ext-log:before,.token.treeview-part .entry-name.ext-md:before,.token.treeview-part .entry-name.ext-nfo:before,.token.treeview-part .entry-name.ext-txt:before{content:"\ea06"}.token.treeview-part .entry-name.ext-asp:before,.token.treeview-part .entry-name.ext-aspx:before,.token.treeview-part .entry-name.ext-c:before,.token.treeview-part .entry-name.ext-cc:before,.token.treeview-part .entry-name.ext-cpp:before,.token.treeview-part .entry-name.ext-cs:before,.token.treeview-part .entry-name.ext-css:before,.token.treeview-part .entry-name.ext-h:before,.token.treeview-part .entry-name.ext-hh:before,.token.treeview-part .entry-name.ext-htm:before,.token.treeview-part .entry-name.ext-html:before,.token.treeview-part .entry-name.ext-jav:before,.token.treeview-part .entry-name.ext-java:before,.token.treeview-part .entry-name.ext-js:before,.token.treeview-part .entry-name.ext-php:before,.token.treeview-part .entry-name.ext-rb:before,.token.treeview-part .entry-name.ext-xml:before{content:"\ea07"}.token.treeview-part .entry-name.ext-7z:before,.token.treeview-part .entry-name.ext-bz2:before,.token.treeview-part .entry-name.ext-bz:before,.token.treeview-part .entry-name.ext-gz:before,.token.treeview-part .entry-name.ext-rar:before,.token.treeview-part .entry-name.ext-tar:before,.token.treeview-part .entry-name.ext-tgz:before,.token.treeview-part .entry-name.ext-zip:before{content:"\ea08"}.token.treeview-part .entry-name.ext-aac:before,.token.treeview-part .entry-name.ext-au:before,.token.treeview-part .entry-name.ext-cda:before,.token.treeview-part .entry-name.ext-flac:before,.token.treeview-part .entry-name.ext-mp3:before,.token.treeview-part .entry-name.ext-oga:before,.token.treeview-part .entry-name.ext-ogg:before,.token.treeview-part .entry-name.ext-wav:before,.token.treeview-part .entry-name.ext-wma:before{content:"\ea04"}.token.treeview-part .entry-name.ext-avi:before,.token.treeview-part .entry-name.ext-flv:before,.token.treeview-part .entry-name.ext-mkv:before,.token.treeview-part .entry-name.ext-mov:before,.token.treeview-part .entry-name.ext-mp4:before,.token.treeview-part .entry-name.ext-mpeg:before,.token.treeview-part .entry-name.ext-mpg:before,.token.treeview-part .entry-name.ext-ogv:before,.token.treeview-part .entry-name.ext-webm:before{content:"\ea05"}.token.treeview-part .entry-name.ext-pdf:before{content:"\ea09"}.token.treeview-part .entry-name.ext-xls:before,.token.treeview-part .entry-name.ext-xlsx:before{content:"\ea0a"}.token.treeview-part .entry-name.ext-doc:before,.token.treeview-part .entry-name.ext-docm:before,.token.treeview-part .entry-name.ext-docx:before{content:"\ea0c"}.token.treeview-part .entry-name.ext-pps:before,.token.treeview-part .entry-name.ext-ppt:before,.token.treeview-part .entry-name.ext-pptx:before{content:"\ea0b"}